##
## Makefile.am for the ARMOISE test-suite
## 
## $Revision: 1.7 $
##
## Process this file with automake in order to generate Makefile.in processed
## by the configure script
##
MAINTAINERCLEANFILES = 

test_syntax_tests = \
  syntax-test01.test \
  syntax-test02.test \
  syntax-test04.test \
  syntax-test06.test \
  syntax-test07.test \
  syntax-test15.test \
  syntax-test22.test \
  syntax-test24.test \
  syntax-test30.test \
  syntax-test41.test \
  syntax-test42.test \
  syntax-test43.test \
  syntax-test44.test \
  syntax-test47.test \
  syntax-test48.test \
  syntax-test49.test \
  ${nop}

domains_tests = \
  domains-test18.test \
  domains-test27.test \
  domains-test29.test \
  domains-test31.test \
  domains-test32.test \
  domains-test33.test \
  domains-test34.test \
  domains-test36.test \
  domains-test37.test \
  domains-test44.test \
  domains-test45.test \
  domains-test46.test \
  domains-test38.test \
  ${nop}

test_links = \
  ${test_syntax_tests} \
  ${domains_tests} 

TESTS_ENVIRONMENT = 
TESTS = ${test_links} 

check_PROGRAMS = armoise-tester

armoise_tester_SOURCES = armoise-tester.c 
armoise_tester_LDADD =  @TAPAS_LIB@ @CCL_LIB@
armoise_tester_CPPFLAGS = @TAPAS_INCLUDES@ @CCL_INCLUDES@

CLEANFILES = ${test_links} ${test_links:%.test=%.log}

EXTRA_DIST = armoise-tester.sh \
             ${test_syntax_tests:syntax-%.test=%.arm} \
             ${test_syntax_tests:%.test=%.err} \
             ${domains_tests:domains-%.test=%.arm} \
             ${domains_tests:%.test=%.doms}

${test_links}: Makefile 
	rm -f $@ ; ${LN_S} ${srcdir}/armoise-tester.sh $@
